{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Magazzino</div>
    </div>
  </div>

  <h2 class="ui center aligned header fly" style="margin-top: 20px; margin-left: 20px; display: none">
    <i class="cubes icon"></i>
    <div class="content" style="font-size: 38px">
      <em><strong>Gestione magazzino</strong></em>
    </div>
  </h2>

  <table class="ui celled table" style="margin: 1%">
    <thead>
      <tr>
        <th colspan="4" style="text-align: center">
          <h3 class="ui header">Attualmente ci sono {{ristorante.prodottiInMagazzino|length}} prodotti differenti in magazzino</h3>
        </th>
      </tr>
      <tr>
        <th>Categoria</th>
        <th>Nome</th>
        <th>Quantità</th>
        <th style="text-align: center; padding-right: 0 !important"><i class="ui configure icon"></i></th>
      </tr>
    </thead>
    <tbody>
      {% for prodotto in ristorante.prodottiInMagazzino %}
        <tr>
          {% if prodotto.prodotto.tipo == "Ingrediente" %}
            <td><div class="ui ribbon yellow label">{{prodotto.prodotto.tipo}}</div></td>
          {% elseif prodotto.prodotto.tipo == "Strumento da cucina" %}
            <td><div class="ui ribbon red label">{{prodotto.prodotto.tipo}}</div></td>
          {% else %}
            <td><div class="ui ribbon blue label">{{prodotto.prodotto.tipo}}</div></td>
          {% endif %}
          <td>{{prodotto.prodotto.nome}}</td>
          <td>{{prodotto.quantita}}</td>
          <td nowrap style="text-align: center">
            <a><i id="icon-edit-product-magazzino{{prodotto.prodotto.id}}" title="Modifica" class="ui write icon edit-product" style="cursor: pointer"></i></a>
            <a href="{{path('elimina_prodotto_magazzino', { 'r_id': ristorante.id, 'p_id': prodotto.prodotto.id }) }}"><i title="Elimina" class="ui trash icon"></i></a>
          </td>
        </tr>
      {% endfor %}
    </tbody>
    <tfoot>
      <tr>
        <th colspan="4" style="padding-bottom: 0">
          <a href="{{path('admin_ristorante_magazzino_nuovo_prodotto', { 'id': ristorante.id })}}">
            <div style="float: right" class="icon button" data-position="left center" data-tooltip="Aggiungi prodotti al magazzino" data-inverted="">
              <i id="add-to-magazzino" class="ui add circle icon" style="font-size: 40px; padding-top: 5px"></i>
            </div>
          </a>
        </th>
      </tr>
    </tfoot>
  </table>

  {% for prodotto in ristorante.prodottiInMagazzino %}
    <div id="edit-product-magazzino-modal{{prodotto.prodotto.id}}" class="ui small modal">
      <div class="header">Modifica il prodotto:</div>
      <div class="content" style="padding: 20px">
        <form id="edit-product-magazzino-form" class="ui form" method="post">
          <input type="hidden" name="prodotto" value="{{prodotto.prodotto.id}}" />
          <input type="hidden" name="ristorante" value="{{ristorante.id}}" />
          <div class="three fields">
            <div class="required field">
              <label>Categoria</label>
              <input value="{{prodotto.prodotto.tipo}}" type="text" name="tipo" required="true" readonly="true">
            </div>
            <div class="required field">
              <label>Nome</label>
              <input value="{{prodotto.prodotto.nome}}" type="text" name="nome" required="true" readonly="true">
            </div>
            <div class="required field"  style="display: inline">
              <div class="ui right labeled left icon input" style="margin-top: 20px">
                <i class="cubes icon"></i>
                <input type="number" name="quantita" min="0" required="true" value="{{prodotto.quantita}}">
                <a class="ui tag label">
                  Quantità
                </a>
              </div>
            </div>
          </div>
          <div class="ui divider"></div>
          <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
          <button style="float:right" type="submit" class="submit-button ui right labeled icon positive button">
            <i class="checkmark icon"></i> Ok, ho finito!
          </button>
          <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
            <div class="ui cancel button">
                Annulla
            </div>
          </div>
        </form>
      </div>
    </div>
  {% endfor %}

  <div class="ui divider"></div>

  {% block javascripts %}
    
  {% endblock %}

{% endblock %}
